## giac-1.9.0.15p0.tar.bz2

=== Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/giac
pkgincludedir = $(includedir)/giac
pkglibdir = $(libdir)/giac
pkglibexecdir = $(libexecdir)/giac
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure $(top_srcdir)/intl/Makefile.in \
	ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS TODO \
	config.guess config.sub config/compile config/config.guess \
	config/config.rpath config/config.sub config/depcomp \
	config/install-sh config/ltmain.sh config/missing \
	config/mkinstalldirs config/texinfo.tex config/ylwrap \
	mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intmax.m4 \
	$(top_srcdir)/m4/inttypes-pri.m4 $(top_srcdir)/m4/inttypes.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/isc-posix.m4 \
	$(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/longdouble.m4 \
	$(top_srcdir)/m4/longlong.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/printf-posix.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/signed.m4 \
	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = intl/Makefile
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run aclocal-1.11
ALLOCA = 
AMTAR = $${TAR-tar}
AO_LIBS = 
AR = x86_64-linux-gnu-ar
AUTOCONF = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run automake-1.11
AWK = mawk
BERNMM_LIBS = 
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = /usr/bin/gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_GNU_SOURCE -DQUICKJS -DCONFIG_BIGNUM -DCONFIG_VERSION=\"2020-11-08\"
COCOA_LIBS = 
CONFIG_AO = yes
CONFIG_BERNMM = no
CONFIG_COCOA = no
CONFIG_CURL = no
CONFIG_DOC_PROGS = yes
CONFIG_ECM = yes
CONFIG_GLPK = yes
CONFIG_GMPXX = yes
CONFIG_GSL = yes
CONFIG_NTL = yes
CONFIG_PARI = yes
CONFIG_SAMPLERATE = no
CPP = /usr/bin/gcc -E
CPPFLAGS = 
CURL_LIBS = 
CXX = /usr/bin/g++
CXXCPP = /usr/bin/g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -fno-strict-aliasing -DGIAC_GENERIC_CONSTANTS -DTIMEOUT -DHAVE_LIBMICROPYTHON -fpermissive -DQUICKJS
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
DVIPS = /usr/bin/dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
ECM_LIBS = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GENCAT = gencat
GINSH_LIBS = -lreadline -lncurses -lglpk -lao -llapack -lblas -ldl -lpng16 -lm -lecm -lmpfi -lmpfr -lgmp 
GLIBC2 = yes
GLIBC21 = yes
GLPK_LIBS = 
GMPXX_LIBS = -lgmpxx
GMSGFMT = /usr/bin/msgfmt
GREP = /usr/bin/grep
GSL_LIBS = -lgsl -lgslcblas
GUI_LIBS = -lfltk_images -ljpeg -lpng -lz -lfltk -lfltk_gl -lXext -lXft -lfontconfig -lXinerama -lX11 -lGL -lglpk -lao -llapack -lblas -ldl -lpng16 -lm -lecm -lmpfi -lmpfr -lgmp  
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_WPRINTF = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LATEX = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L. -L.. -lmicropython
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBICONV = 
LIBINTL = 
LIBOBJS = 
LIBS = -lrt -lpthread -lnauty -lcliquer -lglpk -lao -llapack -lblas -ldl -lpng16 -lm -lecm -lmpfi -lmpfr -lgmp 
LIBTERMCAP = -lncurses
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBOBJS = 
MAKEINDEX = /usr/bin/makeindex
MAKEINFO = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run makeinfo
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
NTL_LIBS = -lntl
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = giac
PACKAGE_BUGREPORT = 
PACKAGE_NAME = giac
PACKAGE_STRING = giac 1.9.0
PACKAGE_TARNAME = giac
PACKAGE_URL = 
PACKAGE_VERSION = 1.9.0
PARI_LIBS = -lpari
PATH_SEPARATOR = :
PDFLATEX = 
POSUB = po
RANLIB = x86_64-linux-gnu-ranlib
SAMPLERATE_LIBS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = x86_64-linux-gnu-strip
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.9.0
XGETTEXT = /usr/bin/xgettext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
YFLAGS = 
abs_builddir = /home/parisse/giac-1.9.0
abs_srcdir = /home/parisse/giac-1.9.0
abs_top_builddir = /home/parisse/giac-1.9.0
abs_top_srcdir = /home/parisse/giac-1.9.0
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /home/parisse/giac-1.9.0/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /usr/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
MICROPY_DIR = micropython-1.12
SUBDIRS = $(MICROPY_DIR) src check intl po debianold debian doc examples
DIST_SUBDIRS = micropython-1.12 src check intl po debianold debian doc examples
EXTRA_DIST = path.h.in setup inst TROUBLES Init.scm compte INSTALACION LEAME.WIN LEAME.ipaq giac.specs giac.specs32 fltk.1.1.changes README.MACOSX pariinl.h changeversion mkosx mkosx10 mkosx3 mkdebian mkdebian32 mkdebian2 win2unix.cc addu.cc xcas*.nsi xcas.desktop xcas.metainfo.xml xcas.xpm xcas.applications README.visualcpp java.README config.h.win config.h.win64 win win64 mkiphone build_for_iphoneos path.iphone simupath.iphone config.h.iphone config.h.64 config.h.mingw path.mingw configure.mingw README.mingw archive.mingw compile.android mkrpm LISEZMOI.numworks icons/* README.hevea2mml README.itex2MML
ACLOCAL_AMFLAGS = -I m4
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile

=== debian/changelog ===
giac (1.9.0-15) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Mon, 11 Apr 2022 08:52:40 +0100

giac (1.0.0-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Mon, 12 Dec 2012 10:52:39 +0100

giac (0.9.9-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Thu, 02 Aug 2012 10:52:39 +0100

giac (0.9.2-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Mon, 11 Apr 2011 10:52:39 +0100

giac (0.9.1-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Wed, 24 Nov 2010 10:52:39 +0100

giac (0.9.0-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Wed, 01 Oct 2008 10:52:39 +0100

giac (0.8.2-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Wed, 01 Oct 2008 10:52:39 +0100

giac (0.8.1-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Thu, 10 Jul 2008 10:52:39 +0100

giac (0.8.0-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Thu, 12 Jun 2008 10:52:39 +0100

giac (0.7.4-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Thu, 13 Mar 2008 10:52:39 +0100

giac (0.7.2-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Wed, 27 Sep 2007 10:52:39 +0100

giac (0.7.1-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Mon,  2 Jul 2007 10:52:39 +0100

giac (0.6.3-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Wed, 28 Feb 2007 10:52:39 +0100

giac (0.6.2-1) stable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Fri, 13 Oct 2006 10:52:39 +0200

giac (0.6.1-1) unstable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Sat,  5 Ayg 2006 10:00:00 +0200

giac (0.6.0) unstable; urgency=low
  * New upstream version.
 -- B. Parisse from Carleos Artime <carleos@pinon.ccu.uniovi.es>  Mon, 19 Jun 2006 21:33:37 +0200
	

giac (0.5.1) unstable; urgency=low

  * No original manpages.
  * I have added @dircategory and @direntry commands in English and Spanish
  TeXinfo sources. I deleted the "texinfo.tex" files in /doc/en and /doc/es
  directories, because they were obsolete. Fixed a bug in Spanish TeXinfo
  file giac_es.texinfo by substituting "Top" for "Arriba".
  * In src/Makefile.{am,in}, section install-exec-hook: replaced absolute by
  relative path in symlinks.
  * Initial Release 0.2.4
  * First Update 0.3.0 Bernard Parisse <parisse@fourier.ujf-grenoble.fr>  Wed May  7 15:23:55 MET DST 2003

 -- Carleos Artime <carleos@pinon.ccu.uniovi.es>  Fri,  2 Aug 2002 21:33:37 +0200

=== debian/control ===
Source: giac
Section: math
Priority: optional
Maintainer: Carleos Artime <carleos@pinon.ccu.uniovi.es>
Build-Depends: debhelper, libreadline-dev, python3
Standards-Version: 3.5.2

Package: giac
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libreadline4, texmacs, menu
Recommends: python3-giacpy, python-giacpy, libao-dev, dfu-util
Description: computer algebra system by Bernard Parisse
 Giac Is A Cas (computer algebra system). It is under active development and
 consists of:
    - a C++ library (libgiac)
    - a command line interpreter (icas)
    - a FLTK-based GUI (xcas)
 Bernard Parisse is the main author of the CAS of HP40G and HP49G calculators.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	CXXFLAGS = '-g -L/usr/local/lib -I/usr/local/include'
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-debug # --enable-cocoa=no


build: build-stamp

build-stamp:  # config.status
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-debug
	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/giac.sgml > giac.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/giac.
	$(MAKE) install prefix=$(CURDIR)/debian/giac/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_desktop
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
	dh_icons
#	dh_installinit
#	dh_installcron
	dh_installman $(CURDIR)/debian/*.1
	dh_installinfo # --section=Math
#	dh_undocumented
#	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	rm -f debian/giac/usr/share/info/dir.gz
#	dh_perl
	dh_shlibdeps
#    Pour comptatibilite debian 7 vers ubuntu
	sed -i -e "s/libblas3 /libblas3 | libblas3gf /" debian/giac.substvars 
	sed -i -e "s/liblapack3 /liblapack3 | liblapack3gf /" debian/giac.substvars
#    Pour compatibilite des paquets bernard vers debian jessie...
	sed -i -e "s/libjpeg62 (>= 6b1)/libjpeg62 (>= 6b1) | libjpeg62-turbo /" debian/giac.substvars 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
